Package ru.bitel.bgbilling.kernel.bgsecure.common.bean

# Class Group

java.lang.Object
ru.bitel.bgbilling.kernel.bgsecure.common.bean.Group

All Implemented Interfaces:
  `ListItem`

    public final class Group
    extends java.lang.Object
    implements ListItem

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Group()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getComment()` |
  `long` | `getContractGroups()` |
  `int` | `getContractGroupsMode()` |
  `int` | `getId()` |
  `int` | `getMenuId()` |
  `java.util.List<java.lang.String>` | `getRuleAccessContractParameter()` |
  `java.util.List<java.lang.String>` | `getRuleAccessObjectParameter()` |
  `java.lang.String` | `getTitle()` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setContractGroups​(long contractGroups)` |
  `void` | `setContractGroupsMode​(int contractGroupsMode)` |
  `void` | `setId​(int id)` |
  `void` | `setMenuId​(int menuId)` |
  `void` | `setRuleAccessContractParameter​(java.util.List<java.lang.String> ruleAccessContractParameter)` |
  `void` | `setRuleAccessObjectParameter​(java.util.List<java.lang.String> ruleAccessObjectParameter)` |
  `void` | `setTitle​(java.lang.String title)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Group

    public Group()

- ## Method Details

  - ### getRuleAccessObjectParameter

    public java.util.List<java.lang.String> getRuleAccessObjectParameter()

  - ### setRuleAccessObjectParameter

    public void setRuleAccessObjectParameter​(java.util.List<java.lang.String> ruleAccessObjectParameter)

  - ### getRuleAccessContractParameter

    public java.util.List<java.lang.String> getRuleAccessContractParameter()

  - ### setRuleAccessContractParameter

    public void setRuleAccessContractParameter​(java.util.List<java.lang.String> ruleAccessContractParameter)

  - ### getContractGroups

    public long getContractGroups()

  - ### setContractGroups

    public void setContractGroups​(long contractGroups)

  - ### getContractGroupsMode

    public int getContractGroupsMode()

  - ### setContractGroupsMode

    public void setContractGroupsMode​(int contractGroupsMode)

  - ### getId

    public int getId()
    Specified by:
      `getId` in interface `ListItem`

  - ### setId

    public void setId​(int id)

  - ### getTitle

    public java.lang.String getTitle()
    Specified by:
      `getTitle` in interface `ListItem`

  - ### setTitle

    public void setTitle​(java.lang.String title)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### getMenuId

    public int getMenuId()

  - ### setMenuId

    public void setMenuId​(int menuId)